/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Sensorrepeticao;
import com.tabajara.base.tables.records.SensorrepeticaoRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class SensorrepeticaoDao extends AbstractVertxDAO<SensorrepeticaoRecord, com.tabajara.base.tables.pojos.Sensorrepeticao, Integer, Future<List<com.tabajara.base.tables.pojos.Sensorrepeticao>>, Future<com.tabajara.base.tables.pojos.Sensorrepeticao>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<SensorrepeticaoRecord,com.tabajara.base.tables.pojos.Sensorrepeticao,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public SensorrepeticaoDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Sensorrepeticao.SENSORREPETICAO, com.tabajara.base.tables.pojos.Sensorrepeticao.class, new JDBCClassicQueryExecutor<SensorrepeticaoRecord,com.tabajara.base.tables.pojos.Sensorrepeticao,Integer>(com.tabajara.base.tables.pojos.Sensorrepeticao.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Sensorrepeticao object) {
        return object.getSenrepid();
    }

    /**
     * Find records that have <code>fktiprepid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Sensorrepeticao>> findManyByFktiprepid(List<Integer> values) {
        return findManyByCondition(Sensorrepeticao.SENSORREPETICAO.FKTIPREPID.in(values));
    }

    /**
     * Find records that have <code>fksenid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Sensorrepeticao>> findManyByFksenid(List<Integer> values) {
        return findManyByCondition(Sensorrepeticao.SENSORREPETICAO.FKSENID.in(values));
    }
}
